Skip to main content
GET
Get details of a single account

Authorizations

X-Pubkey, X-Timestamp, X-Signature
string
header
required

Headers

X-Pubkey
string
required

Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd

X-Timestamp
string
required

Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826

X-Signature
string
required

ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...

Query Parameters

accountId
string<uuid>
required

The account ID A UUID string

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Account details retrieved successfully

accountId
string<uuid>
required

A UUID string

Example:

"550e8400-e29b-41d4-a716-446655440000"

accountName
string
required
accountType
enum<string>
required

Type of applicant for Sumsub verification

Available options:
individual,
company
walletDetails
object
required
createdAt
string<date-time>
required
entityInfo
object | null

Response body for entity information

bankAccounts
object[] | null
imageUrl
string | null